Comment 11 for bug 1304403

Martin Pitt (pitti) wrote :

Hey Sam,

> At a level deeper than "it causes apt to work correctly," why is adding replaces a reasonable fix?

It indeed does not actually replace any files. This is purely to nudge apt into doing the upgrade to libkadm5srv-mit9, as otherwise the Breaks causes it to hold back half of the stack and remove krb5-multidev. So yes, the "missing Replaces" was perhaps misleading. We'll drop that change after trusty's release again, so it's only a temporary delta.

Do you see a better way to do that? This is the least intrusive and "not particularly wrong" change that I saw to fix this.